Bug 30066 - gcc-2.96-75 core dumps compiling kernel 2.4.2-ac6
Summary: gcc-2.96-75 core dumps compiling kernel 2.4.2-ac6
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-28 19:05 UTC by Bryan Headley
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 09:43:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Core file dumped by gcc (1.32 MB, application/octet-stream)
2001-02-28 19:08 UTC, Bryan Headley
no flags Details
Offensive source file (34.95 KB, text/plain)
2001-02-28 19:11 UTC, Bryan Headley
no flags Details
Log of compiling sscape.c (2.06 KB, text/plain)
2001-03-01 17:58 UTC, Bryan Headley
no flags Details
The sscape.i file (457.37 KB, text/plain)
2001-03-01 18:00 UTC, Bryan Headley
no flags Details

Description Bryan Headley 2001-02-28 19:05:38 UTC
gcc -D__KERNEL__ -I/home/bheadley/kernel/linux-2.4.2/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -pipe
-mpreferred-stack-boundary=2 -march=k6 -DMODULE -DMODVERSIONS -include
/home/bheadley/kernel/linux-2.4.2/include/linux/modversions.h   -c -o
sscape.o sscape.c
sscape.c: In function `sscape_pnp_upload_file':
sscape.c:1018: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Comment 1 Bryan Headley 2001-02-28 19:08:55 UTC
Created attachment 11400 [details]
Core file dumped by gcc

Comment 2 Bryan Headley 2001-02-28 19:11:26 UTC
Created attachment 11401 [details]
Offensive source file

Comment 3 Jakub Jelinek 2001-02-28 23:57:34 UTC
Please rerun the command with additional -save-temps -v options
(ie.
gcc -D__KERNEL__ -I/home/bheadley/kernel/linux-2.4.2/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -pipe
-mpreferred-stack-boundary=2 -march=k6 -DMODULE -DMODVERSIONS -include
/home/bheadley/kernel/linux-2.4.2/include/linux/modversions.h   -c -o
sscape.o sscape.c -save-temps -v
) and post here the output of this command and attach here sscape.i
it creates.

Comment 4 Bryan Headley 2001-03-01 17:58:45 UTC
Created attachment 11460 [details]
Log of compiling sscape.c

Comment 5 Bryan Headley 2001-03-01 18:00:25 UTC
Created attachment 11461 [details]
The sscape.i file

Comment 6 Jakub Jelinek 2001-03-02 09:41:53 UTC
But it did not crash for you in the log (and I cannot reproduce it either).
Are you sure this is reproduceable and you see it all the time on the same
file? If not, I'd suspect memory chips or something like that, if yes, I really
need the preprocessed source you see the crash on.

Comment 7 Jakub Jelinek 2001-07-23 15:44:41 UTC
Closed due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.